SPECS: compile.sh - updated from repackage.sh

glen glen at pld-linux.org
Wed Nov 1 23:02:34 CET 2006


Author: glen                         Date: Wed Nov  1 22:02:34 2006 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- updated from repackage.sh

---- Files affected:
SPECS:
   compile.sh (1.1 -> 1.2) 

---- Diffs:

================================================================
Index: SPECS/compile.sh
diff -u SPECS/compile.sh:1.1 SPECS/compile.sh:1.2
--- SPECS/compile.sh:1.1	Fri Oct 14 15:30:23 2005
+++ SPECS/compile.sh	Wed Nov  1 23:02:28 2006
@@ -8,9 +8,21 @@
 
 rpmbuild() {
 	set -x
-	# i'd use ./builder to get all the ~/.bcondrc parsing,
-    # but builder doesn't understand -bi
-#	./builder -ncs -nc -nn --opts --short-circuit "$@"
-	command rpmbuild --short-circuit "$@" || exit
+	/usr/bin/rpmbuild ${TARGET:+--target $TARGET} $BCONDS --short-circuit --define '_source_payload w9.gzdio' "$@" || exit
 }
+
+specfile="${1%.spec}.spec"; shift
+set -- "$specfile" "$@"
+
+tmp=$(awk '/^BuildArch:/ { print $NF}' $specfile)
+if [ "$tmp" ]; then
+	TARGET="$tmp"
+fi
+
+BCONDS=$(./builder --show-bconds $specfile)
+# ignore output from older builders whose output is not compatible.
+if [ "$(echo "$BCONDS" | wc -l)" -gt 1 ]; then
+	BCONDS=""
+fi
+
 rpmbuild -bc "$@"
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SPECS/compile.sh?r1=1.1&r2=1.2&f=u



More information about the pld-cvs-commit mailing list